Page MenuHomePhabricator

Invalid input being fed to IP::parseRange
Closed, DeclinedPublic

Description

From prod logstash:

Notice: Array to string conversion in /srv/mediawiki/php-1.25wmf12/includes/utils/IP.php on line 491
Notice: Array to string conversion in /srv/mediawiki/php-1.25wmf12/includes/utils/IP.php on line 503
Warning: preg_match() expects parameter 2 to be string, array given in /srv/mediawiki/php-1.25wmf12/includes/utils/IP.php on line 91
Warning: preg_match() expects parameter 2 to be string, array given in /srv/mediawiki/php-1.25wmf12/includes/utils/IP.php on line 102

IP::parseRange() is being called with an array as the argument instead of a single IP address as expected.

Details

Related Gerrit Patches:

Event Timeline

bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 changed Security from none to None.
bd808 added a project: MediaWiki-General.
bd808 added a subscriber: bd808.

The first occurrence of this series of errors I can find in logstash was at 2014-12-18T09:00:14.000Z

Change 180841 had a related patch set uploaded (by BryanDavis):
Log calls to IP::parseRange with invalid array argument

https://gerrit.wikimedia.org/r/180841

Patch-For-Review

Change 180843 had a related patch set uploaded (by BryanDavis):
Log calls to IP::parseRange with invalid array argument

https://gerrit.wikimedia.org/r/180843

Patch-For-Review

Change 180845 had a related patch set uploaded (by BryanDavis):
Enable wfDebugLog for T84894

https://gerrit.wikimedia.org/r/180845

Patch-For-Review

Change 180845 merged by jenkins-bot:
Enable wfDebugLog for T84894

https://gerrit.wikimedia.org/r/180845

Change 180843 merged by jenkins-bot:
Log calls to IP::parseRange with invalid array argument

https://gerrit.wikimedia.org/r/180843

And... now that I got things all set up to capture the problem, it stopped as mysteriously as it started at 2014-12-18T17:37:01.000Z

Change 180841 abandoned by BryanDavis:
Log calls to IP::parseRange with invalid array argument

https://gerrit.wikimedia.org/r/180841

bd808 changed the task status from Open to Stalled.Dec 18 2014, 8:40 PM
bd808 triaged this task as Low priority.

Needs errors to reappear in logs with new logging. That logging is only on the 1.24wmf12 branch for now.

bd808 added a subscriber: Reedy.
bd808 closed this task as Declined.Apr 6 2015, 3:06 AM
bd808 claimed this task.

Has not reoccurred